# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'magic_array/version'

Gem::Specification.new do |spec|
  spec.name          = "magic_array"
  spec.version       = MAGIC_ARRAY_VERSION
  spec.authors       = ["Alexander Panasyuk"]
  spec.email         = ["panasmeister@gmail.com"]
  spec.description   = %q{Array that allows you to load data from specified source idly}
  spec.summary       = %q{Lasy loading array}
  spec.homepage      = "https://github.com/panasyuk/magic_array"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "rake"
end
